nn.pp.rccore

## Interface IVMMountRequestResponse

- All Known Implementing Classes:
    VMMountRequestResponse

      public interface IVMMountRequestResponse

  Request/Response structure for Remote ISO mounts

  The same structure is used for both request and responses:

  - Request a remote ISO mount or unmount
  - Response on remote ISO mount or unmount
  - List of ISO images configured in the KX

  The Remote ISO feature is based on Windows Shares. The user configures a number of ISO images on Windows shares on the KX and the client picks one of them to mount to the target server.

  See Also:
    `VirtualMediaInfoListener.remoteIsoListChanged(java.util.List)`, `RCCore.getVirtualMediaRemoteIsoList()`, `VirtualMediaInfoListener.remoteIsoMountFinished(IVMMountRequestResponse)`, `RCCore.mountOrUnmountRemoteIso(IVMMountRequestResponse)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECT` Codes for the option value: Request is a connect request
    `static int` | `DISCONNECT` Codes for the option value: Request is a disconnect request

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHost()` Get the host name for the Windows share
    `java.lang.String` | `getImage()` Get the path to the ISO image on the Windows share
    `int` | `getIndex()` Get the mass-storage Index for the operation
    `int` | `getOption()` Get the request type (`CONNECT` or `DISCONNECT`).
    `java.lang.String` | `getPassword()` Get the password for the Windows share
    `int` | `getRetCode()` Get the return code of a remote ISO operation.
    `java.lang.String` | `getUser()` Get the user name for the Windows share
    `void` | `setOption(int opt)` Set the request type (`CONNECT` or `DISCONNECT`).

- - ### Field Detail

    - #### DISCONNECT

          static final int DISCONNECT

      Codes for the option value: Request is a disconnect request
      See Also:
        Constant Field Values

    - #### CONNECT

          static final int CONNECT

      Codes for the option value: Request is a connect request
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOption

          int getOption()

      Get the request type (`CONNECT` or `DISCONNECT`).
      Returns:
        the request type

    - #### setOption

          void setOption(int opt)

      Set the request type (`CONNECT` or `DISCONNECT`).
      Parameters:
        `opt` - the request type

    - #### getIndex

          int getIndex()

      Get the mass-storage Index for the operation
      Returns:
        the mass-storage Index for the operation

    - #### getUser

          java.lang.String getUser()

      Get the user name for the Windows share
      Returns:
        the user name for the Windows share

    - #### getPassword

          java.lang.String getPassword()

      Get the password for the Windows share
      Returns:
        the password for the Windows share

    - #### getHost

          java.lang.String getHost()

      Get the host name for the Windows share
      Returns:
        the host name for the Windows share

    - #### getImage

          java.lang.String getImage()

      Get the path to the ISO image on the Windows share
      Returns:
        the path to the ISO image on the Windows share

    - #### getRetCode

          int getRetCode()

      Get the return code of a remote ISO operation. This is only used for `VirtualMediaInfoListener.remoteIsoMountFinished(IVMMountRequestResponse)`.
      Returns:
        the return code of a remote ISO operation

Copyright © 2025 Raritan Inc. All Rights Reserved.